Page MenuHomePhabricator

Request creation of Adiutor VPS project
Closed, ResolvedPublic

Description

Project Name: Adiutor

Developer account usernames of requestors: Vikipolimer, Gergő Tisza

Purpose: Creating a MediaWiki testbed for testing and installation of the Adiutor extension.

Brief description: A local server with MediaWiki installed.

How soon you are hoping this can be fulfilled: this week

Event Timeline

bd808 triaged this task as Medium priority.Dec 14 2023, 5:27 PM
bd808 moved this task from Inbox to Approved on the Cloud-VPS (Project-requests) board.
bd808 added a project: cloud-services-team.
bd808 subscribed.

+1

fnegri changed the task status from Open to In Progress.Dec 20 2023, 5:27 PM

I've started creating the project but the cookbook failed, so I'm not sure if it will work correctly. @Andrew is looking into it.

Cookbook command:

sudo cookbook wmcs.vps.create_project --project adiutor --description "MediaWiki testbed for testing and installation of the Adiutor extension" --task-id T353421

Command that failed (in cloudcontrol1005):

sudo -i env OS_PROJECT_ID= wmcs-openstack project create --enable \'--description=MediaWiki testbed for testing and installation of the Adiutor extension\' adiutor --os-cloud novaadmin

Error:

Gateway Timeout (HTTP 504)

Mentioned in SAL (#wikimedia-cloud-feed) [2023-12-20T17:57:49Z] <fnegri@cloudcumin1001> START - Cookbook wmcs.vps.add_user_to_project for user 'vikipolimer' in role 'member' (T353421)

Mentioned in SAL (#wikimedia-cloud-feed) [2023-12-20T17:58:35Z] <fnegri@cloudcumin1001> END (PASS) - Cookbook wmcs.vps.add_user_to_project (exit_code=0) for user 'vikipolimer' in role 'member' (T353421)

Mentioned in SAL (#wikimedia-cloud-feed) [2023-12-20T17:58:47Z] <fnegri@cloudcumin1001> START - Cookbook wmcs.vps.add_user_to_project for user 'tgr' in role 'member' (T353421)

Mentioned in SAL (#wikimedia-cloud-feed) [2023-12-20T17:58:53Z] <fnegri@cloudcumin1001> END (PASS) - Cookbook wmcs.vps.add_user_to_project (exit_code=0) for user 'tgr' in role 'member' (T353421)

@Vikipolimer @Tgr the project seems to be fine and I've added both of you as members (admins). Let us know if anything does not work as expected.

Please also make sure you are subscribed to the cloud-announce mailing list.